%{?mingw_package_header}

%global pkgname leptonica

Name:          mingw-%{pkgname}
Version:       1.83.0
Release:       %mkrel 1
Summary:       MinGW Windows Leptonica library

License:       Leptonica
Group:         Development/Other
BuildArch:     noarch
URL:           https://github.com/danbloomberg/leptonica
Source0:       https://github.com/DanBloomberg/leptonica/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Honour LIB_SUFFIX
# Fix library version
Patch0:        leptonica_cmake.patch

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libpng
BuildRequires: mingw32-zlib
BuildRequires: mingw32-giflib
BuildRequires: mingw32-libwebp

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libpng
BuildRequires: mingw64-zlib
BuildRequires: mingw64-giflib
BuildRequires: mingw64-libwebp


%description
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Leptonica library

Obsoletes:     mingw32-%{pkgname}-static < 1.83.0-1

%description -n mingw32-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Leptonica library

Obsoletes:     mingw64-%{pkgname}-static < 1.83.0-1

%description -n mingw64-%{pkgname}
MinGW Windows Leptonica library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake -DBUILD_PROG=ON -DSW_BUILD=OFF
%mingw_make_build


%install
%mingw_make_install

# Compat symlinks
ln -s %{mingw32_libdir}/libleptonica.dll.a %{buildroot}%{mingw32_libdir}/liblept.dll.a
ln -s %{mingw64_libdir}/libleptonica.dll.a %{buildroot}%{mingw64_libdir}/liblept.dll.a


%files -n mingw32-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw32_bindir}/*.exe
%{mingw32_bindir}/libleptonica-6.dll
%{mingw32_includedir}/leptonica/
%{mingw32_libdir}/liblept.dll.a
%{mingw32_libdir}/libleptonica.dll.a
%{mingw32_libdir}/pkgconfig/lept.pc
%{mingw32_libdir}/cmake/leptonica/

%files -n mingw64-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw64_bindir}/*.exe
%{mingw64_bindir}/libleptonica-6.dll
%{mingw64_includedir}/leptonica/
%{mingw64_libdir}/liblept.dll.a
%{mingw64_libdir}/libleptonica.dll.a
%{mingw64_libdir}/pkgconfig/lept.pc
%{mingw64_libdir}/cmake/leptonica/


%changelog
* Mon Jan 30 2023 daviddavid <daviddavid> 1.83.0-1.mga9
+ Revision: 1937088
- new version: 1.83.0
- switch to cmake build system

* Thu Dec 01 2022 daviddavid <daviddavid> 1.82.0-1.mga9
+ Revision: 1913612
- new version: 1.82.0

* Fri Mar 25 2022 umeabot <umeabot> 1.80.0-3.mga9
+ Revision: 1826880
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.80.0-2.mga8
+ Revision: 1630264
- rebuild for new mingw stack

* Fri Jul 31 2020 daviddavid <daviddavid> 1.80.0-1.mga8
+ Revision: 1609951
- new version: 1.80.0

* Wed Feb 19 2020 umeabot <umeabot> 1.79.0-2.mga8
+ Revision: 1542856
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 1.79.0-1.mga8
+ Revision: 1477107
- new version: 1.79.0

* Fri Mar 22 2019 daviddavid <daviddavid> 1.78.0-1.mga7
+ Revision: 1379525
- new version: 1.78.0

* Sun Dec 30 2018 daviddavid <daviddavid> 1.77.0-1.mga7
+ Revision: 1346619
- new version: 1.77.0

* Thu Sep 20 2018 umeabot <umeabot> 1.76.0-3.mga7
+ Revision: 1279830
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 daviddavid <daviddavid> 1.76.0-2.mga7
+ Revision: 1237424
- rebuild for new mingw-libwebp

* Thu Jun 07 2018 barjac <barjac> 1.76.0-1.mga7
+ Revision: 1235240
- new version 1.76.0

* Thu Mar 15 2018 barjac <barjac> 1.75.3-1.mga7
+ Revision: 1209757
- new version 1.75.3

* Mon Feb 19 2018 barjac <barjac> 1.75.2-1.mga7
+ Revision: 1203210
- new version 1.75.2

* Wed May 11 2016 tv <tv> 1.73-2.mga6
+ Revision: 1012919
- rebuild for new mingw-{giflib,libwebp}

* Wed May 11 2016 tv <tv> 1.73-1.mga6
+ Revision: 1012704
- new release

* Wed Feb 03 2016 umeabot <umeabot> 1.69-8.mga6
+ Revision: 933351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.69-7.mga5
+ Revision: 746916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.69-6.mga5
+ Revision: 682466
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 1.69-5.mga4
+ Revision: 547699
- imported package mingw-leptonica


* Fri Aug 09 2013 Sandro Mani <manisandro@gmail.com> - 1.69-5
- Patch for and rebuild against giflib 5.0.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.69-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.69-3
- Rebuild against libpng 1.6

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 1.69-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 1.69-1
- Initial Fedora package
